/*
 * Buttons floating
 *
 *
 * Index
 * - Button
 * - Plain buttons
 * - Outline buttons
 * - Disabled buttons
 * - Button sizes
 *
 */


/* BUTTON
 -------------------- */

.btn-floating {
  position: fixed;
  right: 1rem;
  bottom: 1rem;
  display: block;
  align-items: center;
  justify-content: center;
  max-width: 3.5rem;
  height: 3.5rem;
  padding: 0.6rem 0.75rem 0.75rem;
  overflow: hidden;
  font-family: var(--road-font);
  font-size: var(--road-button-medium);
  font-weight: 700;
  line-height: 1.375;
  color: var(--road-on-button-fab);
  text-decoration: none;
  white-space: nowrap;
  cursor: pointer;
  background: var(--road-button-fab);
  border: 1px solid transparent;
  border-radius: 2rem;
  box-shadow: var(--road-elevation-average);
  transition: all 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

.btn-floating.btn-floating-left {
  left: 1rem;
}

.btn-floating.btn-floating-center {
  right: 0;
  left: 0;
  display: flex;
  max-width: max-content;
  margin: 0 auto;
}


.btn-floating-label {
  position: relative;
  transition: all 0.2s ease;
}

/**
 * Fix states
 */

.btn-floating:hover {
  background-color: var(--road-button-fab-variant);
}

.btn-floating:hover .btn-floating-icon {
  position: relative;
}

.btn-floating:focus {
  outline: 0;
}

.btn-floating-icon {
  height: 2rem;
  margin-right: 0.5rem;
  fill: currentColor;
}

